Bug 1577381

Summary: [abrt] finish_wait: WARNING: CPU: 2 PID: 2036 at drivers/gpu/drm/drm_vblank.c:1073 drm_wait_one_vblank+0x166/0x180 [drm]
Product: [Fedora] Fedora Reporter: jaynelson
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: airlied, bskeggs, ewk, hdegoede, ichavero, itamar, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, mchehab, mjg59, steved
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/7f03ce24d5011dcdb10c43e367a11484af4c409b
Whiteboard: abrt_hash:38da075223f478493d84ed3de5c0e2188a7292ab;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-29 15:04:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description jaynelson 2018-05-11 20:41:56 UTC
Description of problem:
Stepped away from my desk and came back to my machine rebooting.

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 2 PID: 2036 at drivers/gpu/drm/drm_vblank.c:1073 drm_wait_one_vblank+0x166/0x180 [drm]
Modules linked in: binfmt_misc nls_utf8 isofs fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iTCO_wdt iTCO_vendor_support mei_wdt kvm wmi_bmof iwlmvm snd_soc_skl snd_hda_codec_hdmi mac80211 snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc
 snd_soc_acpi snd_soc_core irqbypass snd_hda_codec_realtek intel_cstate snd_hda_codec_generic intel_uncore intel_rapl_perf iwlwifi snd_compress snd_pcm_dmaengine ac97_bus snd_hda_intel snd_hda_codec cfg80211 snd_hda_core snd_hwdep snd_seq joydev snd_seq_device snd_pcm snd_timer i2c_i801 mei_me mei thinkpad_acpi tpm_tis tpm_tis_core shpchp intel_pch_thermal snd tpm soundcore wmi rfkill dm_crypt i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul e1000e crc32c_intel drm ghash_clmulni_intel ptp serio_raw pps_core video uas usb_storage
CPU: 2 PID: 2036 Comm: Xorg Not tainted 4.16.6-302.fc28.x86_64 #1
Hardware name: LENOVO 20FN002TUS/20FN002TUS, BIOS R06ET39W (1.13 ) 07/11/2016
RIP: 0010:drm_wait_one_vblank+0x166/0x180 [drm]
RSP: 0018:ffff96b7c25b7ae0 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff88348c720000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8834a15168f0
RBP: 0000000000000001 R08: 0000000000000030 R09: 0000000000000637
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
R13: 0000000000200c79 R14: ffff88348e3f8968 R15: ffff88347a5e6000
FS:  00007f000fd41ac0(0000) GS:ffff8834a1500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000034c116d7f03 CR3: 00000002f8bf6003 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? finish_wait+0x80/0x80
 skl_update_crtcs+0x194/0x240 [i915]
 intel_atomic_commit_tail+0x301/0xd60 [i915]
 intel_atomic_commit+0x2a6/0x2e0 [i915]
 drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x178/0x280 [drm]
 ? drm_mode_connector_set_obj_prop+0x80/0x80 [drm]
 drm_mode_connector_property_set_ioctl+0x39/0x60 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_connector_set_obj_prop+0x80/0x80 [drm]
 ? signal_setup_done+0x94/0xb0
 ? do_signal+0x18a/0x610
 ? selinux_file_ioctl+0x15b/0x1f0
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: e4 d6 0f 0b e9 2d ff ff ff 48 89 e6 4c 89 f7 e8 11 45 e8 d6 45 85 e4 0f 85 0f ff ff ff 89 ee 48 c7 c7 40 70 28 c0 e8 a4 02 e4 d6 <0f> 0b e9 fa fe ff ff e8 2e 00 e4 d6 0f 1f 40 00 66 2e 0f 1f 84

Comment 1 jaynelson 2018-05-11 20:42:09 UTC
Created attachment 1435124 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 14:55:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:04:23 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.